package models

import "time"

type ListFolderResponse struct {
	List      ListFolder `json:"folder_list"`
	RequestID string     `json:"request_id"`
}

type ListFolder struct {
	Total              int          `json:"total"`
	Page               int          `json:"page"`
	PerPage            int          `json:"per_page"`
	IsApproximateTotal bool         `json:"is_approximate_total"`
	Items              []ItemFolder `json:"items"`
	HasMore            bool         `json:"has_more"`
}

type ItemFolder struct {
	FolderID int       `json:"folder_id"`
	Deleted  time.Time `json:"deleted"`
	Name     string    `json:"name"`
	IconType any       `json:"icon_type"`
	Created  time.Time `json:"created"`
	ParentID any       `json:"parent_id"`
}
