package interfaces

import "context"

// Interface for sending requests to platform
type Caller interface {
	// VControlApiCall method for sending requests to the platform
	ApiCall(ctx context.Context, method, url string, params interface{}) ([]byte, error)
}
