package requests

// PowerOffRequest struct to disable VM
type PowerOffRequest struct {
	// Id of source VM
	// Required: true
	VmID int `url:"vm" json:"vm" validate:"required"`

	// If true, attempt a graceful operation of the virtual machine.
	// Required: false
	Graceful bool `url:"graceful" json:"graceful,omitempty"`

	// If true, force the operation of the virtual machine.
	// Required: false
	Force bool `url:"force" json:"force,omitempty"`
}
